packages to remove from zesty

Bug #1595485 reported by Gianfranco Costamagna on 2016-06-23
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
bino (Ubuntu)
Undecided
Unassigned
flightgear (Ubuntu)
Undecided
Unassigned
fpc (Debian)
Fix Released
Unknown
fpc (Ubuntu)
Undecided
Unassigned
fslview (Ubuntu)
Undecided
Unassigned
gnome-video-arcade (Ubuntu)
Undecided
Unassigned
insighttoolkit (Ubuntu)
Undecided
Unassigned
insighttoolkit4 (Ubuntu)
Undecided
Unassigned
iva (Ubuntu)
Undecided
Unassigned
ldc (Ubuntu)
Undecided
Unassigned
libpng (Ubuntu)
Undecided
Unassigned
mame (Ubuntu)
Undecided
Unassigned
patat (Ubuntu)
Undecided
Unassigned
pepperflashplugin-nonfree (Ubuntu)
Undecided
Unassigned
ppc64-diag (Ubuntu)
Undecided
Unassigned
python-pysam (Ubuntu)
Undecided
Unassigned
runit (Ubuntu)
Undecided
Unassigned
samtools (Ubuntu)
Undecided
Unassigned
simgear (Ubuntu)
Undecided
Unassigned
singular (Ubuntu)
Undecided
Unassigned
stacks (Ubuntu)
Undecided
Unassigned
vcmi (Ubuntu)
Undecided
Unassigned
vmtk (Ubuntu)
Undecided
Unassigned
vtk (Ubuntu)
Undecided
Unassigned

Bug Description

bino [arm64]
patat [armhf]

Paul Gevers (paul-climbing) wrote :

On 23-06-16 12:38, LocutusOfBorg wrote:
> 7) fpc [powerpc]
> powerpc sadness with glib 2.23
> https://bugs.launchpad.net/ubuntu/+source/fpc/+bug/1562480

For what it is worth, I and Graham intend to attend to this issue during
Debcamp/Debconf and we hope that infinity will help as well. However, if
the issue is within the realm of fpc, it needs rebootstrapping on
powerpc anyways, so removing it doesn't really hurt (and gains new
Debian releases). I suggest to also remove it from xenial, because it is
uninstallable)

Paul

description: updated
Steve Langasek (vorlon) wrote :

Removing packages from yakkety:
 ppc64-diag-doc 2.7.1-2 in yakkety amd64
 ppc64-diag-doc 2.7.1-2 in yakkety arm64
 ppc64-diag-doc 2.7.1-2 in yakkety armhf
 ppc64-diag-doc 2.7.1-2 in yakkety i386
 ppc64-diag-doc 2.7.1-2 in yakkety s390x
Comment: NBS
Remove [y|N]? y
5 packages successfully removed.

Changed in ppc64-diag (Ubuntu):
status: New → Fix Released
description: updated
Steve Langasek (vorlon) wrote :

Please note that in general, there is no need to file a bug to request removal of a source package that has been removed in Debian; these will be picked up for semi-automated removal via the 'process-removals' script from ubuntu-archive-tools.

(In practice, this bug tipped me off to the fact that my runs were for some reason using stale Debian Packages files, so thanks!)

What's generally more useful is to fix those packages that still depend on the to-be-removed packages, so that the archive admins don't have to track these reverse-dependencies down before removing.

Removing packages:
 insighttoolkit 3.20.1+git20120521-6build2 in yakkety
  insighttoolkit3-examples 3.20.1+git20120521-6build2 in yakkety amd64
  insighttoolkit3-examples 3.20.1+git20120521-6build2 in yakkety arm64
  insighttoolkit3-examples 3.20.1+git20120521-6build2 in yakkety armhf
  insighttoolkit3-examples 3.20.1+git20120521-6build2 in yakkety i386
  insighttoolkit3-examples 3.20.1+git20120521-6build2 in yakkety powerpc
  insighttoolkit3-examples 3.20.1+git20120521-6build2 in yakkety ppc64el
  insighttoolkit3-examples 3.20.1+git20120521-6build2 in yakkety s390x
  libinsighttoolkit3-dev 3.20.1+git20120521-6build2 in yakkety amd64
  libinsighttoolkit3-dev 3.20.1+git20120521-6build2 in yakkety arm64
  libinsighttoolkit3-dev 3.20.1+git20120521-6build2 in yakkety armhf
  libinsighttoolkit3-dev 3.20.1+git20120521-6build2 in yakkety i386
  libinsighttoolkit3-dev 3.20.1+git20120521-6build2 in yakkety powerpc
  libinsighttoolkit3-dev 3.20.1+git20120521-6build2 in yakkety ppc64el
  libinsighttoolkit3-dev 3.20.1+git20120521-6build2 in yakkety s390x
  libinsighttoolkit3.20 3.20.1+git20120521-6build2 in yakkety amd64
  libinsighttoolkit3.20 3.20.1+git20120521-6build2 in yakkety arm64
  libinsighttoolkit3.20 3.20.1+git20120521-6build2 in yakkety armhf
  libinsighttoolkit3.20 3.20.1+git20120521-6build2 in yakkety i386
  libinsighttoolkit3.20 3.20.1+git20120521-6build2 in yakkety powerpc
  libinsighttoolkit3.20 3.20.1+git20120521-6build2 in yakkety ppc64el
  libinsighttoolkit3.20 3.20.1+git20120521-6build2 in yakkety s390x
  libinsighttoolkit3.20-dbgsym 3.20.1+git20120521-6build2 in yakkety amd64
  libinsighttoolkit3.20-dbgsym 3.20.1+git20120521-6build2 in yakkety arm64
  libinsighttoolkit3.20-dbgsym 3.20.1+git20120521-6build2 in yakkety armhf
  libinsighttoolkit3.20-dbgsym 3.20.1+git20120521-6build2 in yakkety i386
  libinsighttoolkit3.20-dbgsym 3.20.1+git20120521-6build2 in yakkety powerpc
  libinsighttoolkit3.20-dbgsym 3.20.1+git20120521-6build2 in yakkety ppc64el
  libinsighttoolkit3.20-dbgsym 3.20.1+git20120521-6build2 in yakkety s390x
Comment: (From Debian) ROM; Obsoleted by insighttoolkit4; Debian bug #795019
Remove [y|N]? y

Changed in insighttoolkit (Ubuntu):
status: New → Fix Released
Steve Langasek (vorlon) wrote :

Reverse-depends on vtk (filtered for latest removals):

Reverse-Depends
===============
* fslview (for libvtk5.10-qt4)
* fslview (for libvtk5.10)

Reverse-Build-Depends
=====================
* fslview (for libvtk5-qt4-dev)
* fslview (for libvtk5-dev)
* nifti2dicom (for libvtk5-qt4-dev)
* python-mne (for python-vtk)

Changed in vtk (Ubuntu):
status: New → Incomplete
Steve Langasek (vorlon) wrote :

Removing packages from yakkety:
 libpng 1.2.54-6ubuntu1 in yakkety
  libpng12-0 1.2.54-6ubuntu1 in yakkety amd64
  libpng12-0 1.2.54-6ubuntu1 in yakkety arm64
  libpng12-0 1.2.54-6ubuntu1 in yakkety armhf
  libpng12-0 1.2.54-6ubuntu1 in yakkety i386
  libpng12-0 1.2.54-6ubuntu1 in yakkety powerpc
  libpng12-0 1.2.54-6ubuntu1 in yakkety ppc64el
  libpng12-0 1.2.54-6ubuntu1 in yakkety s390x
  libpng12-0-udeb 1.2.54-6ubuntu1 in yakkety amd64
  libpng12-0-udeb 1.2.54-6ubuntu1 in yakkety arm64
  libpng12-0-udeb 1.2.54-6ubuntu1 in yakkety armhf
  libpng12-0-udeb 1.2.54-6ubuntu1 in yakkety i386
  libpng12-0-udeb 1.2.54-6ubuntu1 in yakkety powerpc
  libpng12-0-udeb 1.2.54-6ubuntu1 in yakkety ppc64el
  libpng12-0-udeb 1.2.54-6ubuntu1 in yakkety s390x
  libpng12-dev 1.2.54-6ubuntu1 in yakkety amd64
  libpng12-dev 1.2.54-6ubuntu1 in yakkety arm64
  libpng12-dev 1.2.54-6ubuntu1 in yakkety armhf
  libpng12-dev 1.2.54-6ubuntu1 in yakkety i386
  libpng12-dev 1.2.54-6ubuntu1 in yakkety powerpc
  libpng12-dev 1.2.54-6ubuntu1 in yakkety ppc64el
  libpng12-dev 1.2.54-6ubuntu1 in yakkety s390x
Comment: RoQA; superseded by libpng1.6; Debian bug #822318; LP: #1595485
Remove [y|N]? y
1 package successfully removed.

Changed in libpng (Ubuntu):
status: New → Fix Released
Steve Langasek (vorlon) wrote :

It is not true that fpc has been removed from Debian.

Changed in fpc (Ubuntu):
status: New → Invalid
Steve Langasek (vorlon) wrote :

There are no flightgear binaries in yakkety for armhf.

Changed in flightgear (Ubuntu):
status: New → Invalid
Steve Langasek (vorlon) wrote :

> mame [ppc64el]
> sadness on that arch, removed in Debian

Probably was never built in Debian. But regardless, gnome-video-arcade depends on mame and is built on ppc64el, so this needs to be resolved first.

Changed in mame (Ubuntu):
status: New → Incomplete
Steve Langasek (vorlon) wrote :

Removing packages from yakkety:
 pepperflashplugin-nonfree 1.8.2ubuntu1 in yakkety i386
Comment: ANAIS
Remove [y|N]? y
1 package successfully removed.

Changed in pepperflashplugin-nonfree (Ubuntu):
status: New → Fix Released
Steve Langasek (vorlon) wrote :

> 4) samtools
> old binaries left on armhf: libbam-dev, samtools (from 0.1.19-1ubuntu1)
> old binaries left on powerpc: libbam-dev, samtools (from 0.1.19-1ubuntu1)
> old binaries left on s390x: libbam-dev, samtools (from 0.1.19-1ubuntu1)

Has stacks as a reverse-dependency, this must be resolved first.

Changed in samtools (Ubuntu):
status: New → Incomplete

s/flightgear/simgear sorry

vtk:
>needs vmtk migration
>and fslview removal or demote to proposed.
>Debian broke it, because it is already broken, and it has little fix in time probability
>(probably we will remove in Debian soon)

as said, vmtk won't migrate because of missing powerpc build.
In fact in Debian we restricted to amd64 and i386 only, but in Ubuntu insighttoolkit4 builds everywhere except powerpc, so please remove that one

fslview can go in my opinion, too broken in current state Debian broke it

>(In practice, this bug tipped me off to the fact that my runs were for some reason using stale >Debian Packages files, so thanks!)

I know they should be semi-automatic, but many of them are building on more architectures, or have some more reverse-deps, this is why I thought a bug was a good way to track them down :)

samtoools:
>Has stacks as a reverse-dependency, this must be resolved first.

yes, and stacks has been removed in Debian too, for armhf powerpc s390x

>It is not true that fpc has been removed from Debian.
wrong section, I mean, remove fpc on powerpc, it needs a bootstrap anyway, it is rc buggy in Debian, it will make the current Debian fixes migrate in yakkety

>Probably was never built in Debian. But regardless, gnome-video-arcade depends on mame and is built >on ppc64el, so this needs to be resolved first.

gnome-video-arcade is a mame frontend, so please remoe that too on ppc64el!

Changed in samtools (Ubuntu):
status: Incomplete → New
Changed in mame (Ubuntu):
status: Incomplete → New
Changed in vtk (Ubuntu):
status: Incomplete → New
Paul Gevers (paul-climbing) wrote :

I filed a RoM bug in Debian, so I hope the powerpc package is removed from Debian. It currently can't be rebuild because it is a self hosting compiler which fails to install. Inifinity is trying to come up with a patch, but it will need rebootstrapping anyways.

Changed in fpc (Debian):
status: Unknown → New
Steve Langasek (vorlon) wrote :

singular/armhf is missing because it build-depends on polybori, which FTBFS on armhf with a segfault in python2.7.

gdb backtrace of this segfault shows:

#0 0xb6a9b408 in ?? () from /lib/arm-linux-gnueabihf/libcrypto.so.1.0.0
#1 0xb6a98d30 in OPENSSL_cpuid_setup ()
   from /lib/arm-linux-gnueabihf/libcrypto.so.1.0.0
#2 0xb6fe28bc in call_init (l=<optimized out>, argc=argc@entry=3,
    argv=argv@entry=0xbefff724, env=env@entry=0xbefff734) at dl-init.c:72
#3 0xb6fe2996 in call_init (env=<optimized out>, argv=<optimized out>,
    argc=<optimized out>, l=<optimized out>) at dl-init.c:30
#4 _dl_init (main_map=0x377378, main_map@entry=0xb6c1db60, argc=3,
    argv=0xbefff724, env=0xbefff734) at dl-init.c:120
#5 0xb6fe59b6 in dl_open_worker (a=<optimized out>) at dl-open.c:575
#6 0xb6fe27f4 in _dl_catch_error (objname=0xbeffde9c,
    objname@entry=0xbeffdeb4, errstring=0xbeffdea0,
    errstring@entry=0xbeffdeb8, mallocedp=0xbeffde9b,
    mallocedp@entry=0xbeffdeb3, operate=0xb6fe574d <dl_open_worker>,
    args=0xbeffdea4, args@entry=0xbeffdebc) at dl-error.c:187
#7 0xb6fe5450 in _dl_open (
    file=0x376370 "/usr/lib/python2.7/lib-dynload/_hashlib.arm-linux-gnueabihf.so", mode=-2147483646, caller_dlopen=0xb05e9 <_PyImport_GetDynLoadFunc+196>,
    nsid=<optimized out>, argc=3, argv=0xbefff724, env=0xbefff734)
    at dl-open.c:660
#8 0xb6eb4ab8 in dlopen_doit (a=0xbeffe100) at dlopen.c:66
#9 0xb6fe27f4 in _dl_catch_error (objname=0x379764, errstring=0x379768,
    mallocedp=0x379760, operate=0xb6eb4a65 <dlopen_doit>, args=0xbeffe100)

This looks like either a bug in openssl on armhf, which is important to fix (unblocking polybori and singular); or a bug in polybori on all architectures which happens to trigger a crash on armhf but not on other architectures, so should be fixed in polybori. Either way, binary removal of singular/armhf does not look like the right answer to me.

sorry but I don't have time/knowledge/hardware to debug that :(

Steve Langasek (vorlon) wrote :

> s/flightgear/simgear/ sorry

$ rmadison -s yakkety,yakkety-proposed -S simgear -a armhf
$

There are no armhf binaries for simgear in yakkety ;)

Changed in simgear (Ubuntu):
status: New → Invalid
Steve Langasek (vorlon) wrote :

Removing packages from yakkety:
 fslview 4.0.1-6 in yakkety
  fslview 4.0.1-6 in yakkety amd64
  fslview 4.0.1-6 in yakkety arm64
  fslview 4.0.1-6 in yakkety armhf
  fslview 4.0.1-6 in yakkety i386
  fslview 4.0.1-6 in yakkety powerpc
  fslview 4.0.1-6 in yakkety ppc64el
  fslview 4.0.1-6 in yakkety s390x
  fslview-doc 4.0.1-6 in yakkety amd64
  fslview-doc 4.0.1-6 in yakkety arm64
  fslview-doc 4.0.1-6 in yakkety armhf
  fslview-doc 4.0.1-6 in yakkety i386
  fslview-doc 4.0.1-6 in yakkety powerpc
  fslview-doc 4.0.1-6 in yakkety ppc64el
  fslview-doc 4.0.1-6 in yakkety s390x
Comment: Depends on obsolete vtk, FTBFS, removed from Debian testing; Debian bug #749531; LP: #1595485
Remove [y|N]? yRemoving packages from yakkety:
 fslview 4.0.1-6 in yakkety
  fslview 4.0.1-6 in yakkety amd64
  fslview 4.0.1-6 in yakkety arm64
  fslview 4.0.1-6 in yakkety armhf
  fslview 4.0.1-6 in yakkety i386
  fslview 4.0.1-6 in yakkety powerpc
  fslview 4.0.1-6 in yakkety ppc64el
  fslview 4.0.1-6 in yakkety s390x
  fslview-doc 4.0.1-6 in yakkety amd64
  fslview-doc 4.0.1-6 in yakkety arm64
  fslview-doc 4.0.1-6 in yakkety armhf
  fslview-doc 4.0.1-6 in yakkety i386
  fslview-doc 4.0.1-6 in yakkety powerpc
  fslview-doc 4.0.1-6 in yakkety ppc64el
  fslview-doc 4.0.1-6 in yakkety s390x
Comment: Depends on obsolete vtk, FTBFS, removed from Debian testing; Debian bug #749531; LP: #1595485
Remove [y|N]? y
1 package successfully removed.

1 package successfully removed.

Changed in fslview (Ubuntu):
status: New → Fix Released
Steve Langasek (vorlon) wrote :

vmtk/powerpc removed, vmtk migrated.

Changed in vmtk (Ubuntu):
status: New → Fix Released
Steve Langasek (vorlon) wrote :
Download full text (6.0 KiB)

Removing packages:
 vtk 5.10.1+dfsg-2.1build4 in yakkety
  libvtk-java 5.10.1+dfsg-2.1build4 in yakkety amd64
  libvtk-java 5.10.1+dfsg-2.1build4 in yakkety arm64
  libvtk-java 5.10.1+dfsg-2.1build4 in yakkety armhf
  libvtk-java 5.10.1+dfsg-2.1build4 in yakkety i386
  libvtk-java 5.10.1+dfsg-2.1build4 in yakkety powerpc
  libvtk-java 5.10.1+dfsg-2.1build4 in yakkety ppc64el
  libvtk-java 5.10.1+dfsg-2.1build4 in yakkety s390x
  libvtk-java-dbgsym 5.10.1+dfsg-2.1build4 in yakkety amd64
  libvtk-java-dbgsym 5.10.1+dfsg-2.1build4 in yakkety arm64
  libvtk-java-dbgsym 5.10.1+dfsg-2.1build4 in yakkety armhf
  libvtk-java-dbgsym 5.10.1+dfsg-2.1build4 in yakkety i386
  libvtk-java-dbgsym 5.10.1+dfsg-2.1build4 in yakkety powerpc
  libvtk-java-dbgsym 5.10.1+dfsg-2.1build4 in yakkety ppc64el
  libvtk-java-dbgsym 5.10.1+dfsg-2.1build4 in yakkety s390x
  libvtk5-dev 5.10.1+dfsg-2.1build4 in yakkety amd64
  libvtk5-dev 5.10.1+dfsg-2.1build4 in yakkety arm64
  libvtk5-dev 5.10.1+dfsg-2.1build4 in yakkety armhf
  libvtk5-dev 5.10.1+dfsg-2.1build4 in yakkety i386
  libvtk5-dev 5.10.1+dfsg-2.1build4 in yakkety powerpc
  libvtk5-dev 5.10.1+dfsg-2.1build4 in yakkety ppc64el
  libvtk5-dev 5.10.1+dfsg-2.1build4 in yakkety s390x
  libvtk5-dev-dbgsym 5.10.1+dfsg-2.1build4 in yakkety amd64
  libvtk5-dev-dbgsym 5.10.1+dfsg-2.1build4 in yakkety arm64
  libvtk5-dev-dbgsym 5.10.1+dfsg-2.1build4 in yakkety armhf
  libvtk5-dev-dbgsym 5.10.1+dfsg-2.1build4 in yakkety i386
  libvtk5-dev-dbgsym 5.10.1+dfsg-2.1build4 in yakkety powerpc
  libvtk5-dev-dbgsym 5.10.1+dfsg-2.1build4 in yakkety ppc64el
  libvtk5-dev-dbgsym 5.10.1+dfsg-2.1build4 in yakkety s390x
  libvtk5-qt4-dev 5.10.1+dfsg-2.1build4 in yakkety amd64
  libvtk5-qt4-dev 5.10.1+dfsg-2.1build4 in yakkety arm64
  libvtk5-qt4-dev 5.10.1+dfsg-2.1build4 in yakkety armhf
  libvtk5-qt4-dev 5.10.1+dfsg-2.1build4 in yakkety i386
  libvtk5-qt4-dev 5.10.1+dfsg-2.1build4 in yakkety powerpc
  libvtk5-qt4-dev 5.10.1+dfsg-2.1build4 in yakkety ppc64el
  libvtk5-qt4-dev 5.10.1+dfsg-2.1build4 in yakkety s390x
  libvtk5-qt4-dev-dbgsym 5.10.1+dfsg-2.1build4 in yakkety amd64
  libvtk5-qt4-dev-dbgsym 5.10.1+dfsg-2.1build4 in yakkety arm64
  libvtk5-qt4-dev-dbgsym 5.10.1+dfsg-2.1build4 in yakkety armhf
  libvtk5-qt4-dev-dbgsym 5.10.1+dfsg-2.1build4 in yakkety i386
  libvtk5-qt4-dev-dbgsym 5.10.1+dfsg-2.1build4 in yakkety powerpc
  libvtk5-qt4-dev-dbgsym 5.10.1+dfsg-2.1build4 in yakkety ppc64el
  libvtk5-qt4-dev-dbgsym 5.10.1+dfsg-2.1build4 in yakkety s390x
  libvtk5.10 5.10.1+dfsg-2.1build4 in yakkety amd64
  libvtk5.10 5.10.1+dfsg-2.1build4 in yakkety arm64
  libvtk5.10 5.10.1+dfsg-2.1build4 in yakkety armhf
  libvtk5.10 5.10.1+dfsg-2.1build4 in yakkety i386
  libvtk5.10 5.10.1+dfsg-2.1build4 in yakkety powerpc
  libvtk5.10 5.10.1+dfsg-2.1build4 in yakkety ppc64el
  libvtk5.10 5.10.1+dfsg-2.1build4 in yakkety s390x
  libvtk5.10-dbgsym 5.10.1+dfsg-2.1build4 in yakkety amd64
  libvtk5.10-dbgsym 5.10.1+dfsg-2.1build4 in yakkety arm64
  libvtk5.10-dbgsym 5.10.1+dfsg-2.1build4 in yakkety armhf
  libvtk5.10-dbgsym 5.10.1+dfsg-2.1build4 in yakkety i386
  libvtk5.10-dbgsym 5.10.1+dfsg-2.1buil...

Read more...

Changed in vtk (Ubuntu):
status: New → Fix Released
Jeremy Bicha (jbicha) wrote :

It looks like Debian did remove gnome-video-arcade/ppc64el since it shows up at

https://buildd.debian.org/status/package.php?p=gnome-video-arcade

but not at

https://packages.debian.org/stretch/gnome-video-arcade

Steve Langasek (vorlon) wrote :

Removing packages from yakkety:
 stacks 1.40-1 in yakkety armhf
 stacks 1.40-1 in yakkety powerpc
 stacks 1.40-1 in yakkety s390x
Comment: ANAIS
3 packages successfully removed.

Changed in stacks (Ubuntu):
status: New → Fix Released
Steve Langasek (vorlon) wrote :

Removing packages from yakkety:
 libbam-dev 0.1.19-1ubuntu1 in yakkety armhf
 libbam-dev 0.1.19-1ubuntu1 in yakkety powerpc
 libbam-dev 0.1.19-1ubuntu1 in yakkety s390x
 samtools 0.1.19-1ubuntu1 in yakkety armhf
 samtools 0.1.19-1ubuntu1 in yakkety powerpc
 samtools 0.1.19-1ubuntu1 in yakkety s390x
Comment: ANAIS; LP: #1595485
6 packages successfully removed.

Changed in samtools (Ubuntu):
status: New → Fix Released
Steve Langasek (vorlon) wrote :

> gnome-video-arcade is a mame frontend, so please remoe that too on ppc64el!

But it does not build-depend on mame, so there is nothing that prevents gnome-video-arcade from getting autobuilt again on ppc64el in the next upload. Please fix this.

>But it does not build-depend on mame, so there is nothing that prevents gnome-video-arcade from >getting autobuilt again on ppc64el in the next upload. Please fix this.

yes, I forwarded this to jordi, and seems that upstream/make got a ppc64el machine to work on, I presume mame will be fixed shortly, so not need to fix gnome-video-arcade anymore, maybe just one-time kicking it out is already enough (as it has been done in Debian)
https://bugs.debian.org/827706

Changed in fpc (Debian):
status: New → Fix Released
Steve Langasek (vorlon) wrote :

Removing packages from yakkety:
 gnome-video-arcade 0.8.6-1 in yakkety ppc64el
Comment: Depends on mame, not supported on ppc64el; Debian bug #827706, LP: #1595485
1 package successfully removed.

Changed in gnome-video-arcade (Ubuntu):
status: New → Fix Released
Steve Langasek (vorlon) wrote :

Removing packages from yakkety:
 mame 0.160-0ubuntu1 in yakkety ppc64el
 mame-tools 0.160-0ubuntu1 in yakkety ppc64el
 mess 0.160-0ubuntu1 in yakkety ppc64el
Comment: ANAIS; LP: #1595485
Remove [y|N]? y
3 packages successfully removed.

Changed in mame (Ubuntu):
status: New → Fix Released

runit:

" * Disable runit-systemv, the sysvinit-core runtime dependency
    is not satisfiable on yakkety"

sigh.

the Debian removal bug for fpc is: http://bugs.debian.org/834644

Changed in fpc (Ubuntu):
status: Invalid → New

lets wait for a bootstrap instead

Changed in fpc (Ubuntu):
status: New → Incomplete

https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=820170
python-pysam (i386) removal request in Debian

vcmi has a -dbg package removed with migration to auto dbg

Changed in vcmi (Ubuntu):
status: New → Fix Released
Martin Pitt (pitti) wrote :

I removed "python-pysam python3-pysam python-pysam-tests" from yakkety and y-proposed on i386.

Changed in python-pysam (Ubuntu):
status: New → Fix Released
Changed in runit (Ubuntu):
status: New → Fix Released
Changed in singular (Ubuntu):
status: New → Fix Released

iva [i386]

Changed in iva (Ubuntu):
status: New → Fix Released
Changed in fpc (Ubuntu):
status: Incomplete → Fix Released

ldc [powerpc ppc64el]

https://launchpad.net/ubuntu/+source/insighttoolkit4/4.10.0-dfsg1-3ubuntu1/+build/10712957
insightoolkit4 on ppc64el grow too much for buildd space.
Debian has no binary on ppc64el and maintaining them is difficult.
Please remove it and its reverse-dependencies, in case somebody increases the space, they will enter again the archive

Matthias Klumpp (ximion) wrote :

LDC just needs to be re-bootstrapped on all architectures.

summary: - packages to remove from yakkety
+ packages to remove from zesty

bino is sad on arm64, and the reason seems qt-related, I don't think we should wait for it to be fixed, I want to decruft the old lirc libraries

Changed in insighttoolkit4 (Ubuntu):
status: New → Invalid
Changed in ldc (Ubuntu):
status: New → Invalid
description: updated
description: updated

patat [armhf] has been removed in Debian too

Steve Langasek (vorlon) wrote :

Please don't use a single bug report for unrelated removal requests; file separate bugs instead for each package.

> patat [armhf] has been removed in Debian too

I don't see that this is the case in unstable or experimental, and the current package successfully rebuilds from source.

Changed in bino (Ubuntu):
status: New → Fix Released
Changed in patat (Ubuntu):
status: New → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.